> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/traffic/bandwidth-cluster/updatebandwidthclustercommitbandwidth.md).

# UpdateBandwidthClusterCommitBandwidth

## 1. API Description

This API (UpdateBandwidthClusterCommitBandwidth) is used to modify the bandwidth commitment of the bandwidth cluster.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

* <mark style="color:blue;">The changes take effect immediately.</mark>
* <mark style="color:blue;">You can call this API to modify the commitment of a bandwidth cluster that contains resources. If the bandwidth cluster has no resources, you can delete it and create a new one.</mark>
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name                   | Required | Type    | Description                                                                                                                                               |
| -------------------------------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------- |
| bandwidthClusterId               | Yes      | String  | Bandwidth cluster ID.                                                                                                                                     |
| commitBandwidthMbps              | Yes      | Integer | <p>Bandwidth commitment.</p><p>Available range: \[0, 100000].</p><p>Value range: \[0, 99999999]</p>                                                       |
| internationalCommitBandwidthMbps | No       | Integer | <p>Bandwidth commitment for the international line.</p><p>Only applicable to PathBasedBandwidth bandwidth clusters.</p><p>Value range: \[0, 99999999]</p> |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Change the bandwidth commitment of the bandwidth cluster to `100` Mbps.**

```json
POST /api/v2/traffic HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: UpdateBandwidthClusterCommitBandwidth
<Common Request Params>

Request：
{
  "bandwidthClusterId" : "<bandwidth-cluster-id>",
  "commitBandwidthMbps" : 100
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                        | Description                                                                     |
| ---------------- | ------------------------------------------------- | ------------------------------------------------------------------------------- |
| 404              | INVALID\_CLUSTER\_NOT\_FOUND                      | Bandwidth cluster does not exist.                                               |
| 400              | INVALID\_CLUSTER\_BANDWIDTH\_UNMODIFIED           | Commitment does not change.                                                     |
| 400              | INVALID\_CLUSTER\_BANDWIDTH\_UPDATE\_NOT\_SUPPORT | Commitment change is not supported for the current bandwidth cluster.           |
| 400              | INVALID\_CLUSTER\_NOT\_RUNNING                    | Operations are not supported for bandwidth clusters that contains no resources. |
